|  | Home |

# QMailKeyArgument Class Reference

The QMailKeyArgument class template defines a class representing a single criterion to be applied when filtering the QMailStore constent with a key object. More...

        #include <QMailKeyArgument>

This class is under development and is subject to change.

- List of all members, including inherited members

## Public Types

class | ValueList
typedef | Comparator
typedef | Property

## Public Functions

| QMailKeyArgument ( Property p, Comparator c, const QVariant & v )
| QMailKeyArgument ( const ListType & l, Property p, Comparator c )
void | deserialize ( Stream & stream )
void | serialize ( Stream & stream ) const

## Public Variables

Comparator | op
Property | property
ValueList | valueList

## Detailed Description

The QMailKeyArgument class template defines a class representing a single criterion to be applied when filtering the QMailStore constent with a key object.

A QMailKeyArgument<PropertyType, ComparatorType> is composed of a property indicator, a comparison operator and a value or set of values to compare with. The type of the property indicator depends on the type that is to be filtered.

## Member Type Documentation

### typedef QMailKeyArgument::Comparator

Defines the type used to represent the comparison operation that the criterion requires.

A synomyn for the ComparatorType template parameter with which the template is instantiated; defaults to QMailDataComparator::Comparator.

### typedef QMailKeyArgument::Property

Defines the type used to represent the property that the criterion is applied to.

A synomyn for the PropertyType template parameter with which the template is instantiated.

## Member Function Documentation

### QMailKeyArgument::QMailKeyArgument ( Property p, Comparator c, const QVariant & v )

Creates a criterion testing the property p against the value v, using the comparison operator c.

### QMailKeyArgument::QMailKeyArgument ( const ListType & l, Property p, Comparator c )

Creates a criterion testing the property p against the value list l, using the comparison operator c.

### void QMailKeyArgument::deserialize ( Stream & stream )

Reads the contents of a QMailKeyArgument from stream.

### void QMailKeyArgument::serialize ( Stream & stream ) const

Writes the contents of a QMailKeyArgument to stream.

## Member Variable Documentation

### Comparator QMailKeyArgument::op

Indicates the comparison operation to be used when filtering entities.

### Property QMailKeyArgument::property

Indicates the property of the filtered entity to be compared.

### ValueList QMailKeyArgument::valueList

Contains the values to be compared with when filtering entities.